Bug 956206 - Errata Applicability API - need repoids associated with each erratum
Summary: Errata Applicability API - need repoids associated with each erratum
Status: CLOSED NOTABUG
Alias: None
Product: Pulp
Classification: Retired
Component: consumers   
(Show other bugs)
Version: 2.1 Beta
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 2.3.0
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 950743
TreeView+ depends on / blocked
 
Reported: 2013-04-24 13:15 UTC by Brad Buckingham
Modified: 2015-03-23 01:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 18:28:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Buckingham 2013-04-24 13:15:32 UTC
Description of problem:

In pulp v1, we used the following API to support a dashboard view of errata that need to be applied to consumers based upon a list of repoids provided:

https://fedorahosted.org/pulp/wiki/UGREST-Consumers#Listapplicableerrataforconsumersfromgivensetofrepositories

In pulp v2, the following API gives much of what is needed:
https://pulp-dev-guide.readthedocs.org/en/latest/rest-api/consumer/applicability.html

There is one small piece of needed information that is missing.  It is the repoids that each erratum exists in.  We use this information to correlate the repo to a product and then communicate that product back to the user.  This can help the user determine how important that errata may be to them.

Version-Release number of selected component (if applicable):
pulp-server-2.1.1-0.5.beta.el6.noarch

How reproducible:
always


Note You need to log in before you can comment on or make changes to this bug.